
From: Thomas Gleixner <tglx@linutronix.de>

Convert the initializers of hw_interrupt_type structures to C99 initializers.

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/i8259.c             |   15 +++++++--------
 25-akpm/arch/i386/mach-voyager/voyager_smp.c |   16 ++++++++--------
 2 files changed, 15 insertions(+), 16 deletions(-)

diff -puN arch/i386/kernel/i8259.c~i386-c99-initializers-for-hw_interrupt_type-structures arch/i386/kernel/i8259.c
--- 25/arch/i386/kernel/i8259.c~i386-c99-initializers-for-hw_interrupt_type-structures	2005-02-28 16:25:11.000000000 -0800
+++ 25-akpm/arch/i386/kernel/i8259.c	2005-02-28 16:25:11.000000000 -0800
@@ -58,14 +58,13 @@ unsigned int startup_8259A_irq(unsigned 
 }
 
 static struct hw_interrupt_type i8259A_irq_type = {
-	"XT-PIC",
-	startup_8259A_irq,
-	shutdown_8259A_irq,
-	enable_8259A_irq,
-	disable_8259A_irq,
-	mask_and_ack_8259A,
-	end_8259A_irq,
-	NULL
+	.typename = "XT-PIC",
+	.startup = startup_8259A_irq,
+	.shutdown = shutdown_8259A_irq,
+	.enable = enable_8259A_irq,
+	.disable = disable_8259A_irq,
+	.ack = mask_and_ack_8259A,
+	.end = end_8259A_irq,
 };
 
 /*
diff -puN arch/i386/mach-voyager/voyager_smp.c~i386-c99-initializers-for-hw_interrupt_type-structures arch/i386/mach-voyager/voyager_smp.c
--- 25/arch/i386/mach-voyager/voyager_smp.c~i386-c99-initializers-for-hw_interrupt_type-structures	2005-02-28 16:25:11.000000000 -0800
+++ 25-akpm/arch/i386/mach-voyager/voyager_smp.c	2005-02-28 16:25:11.000000000 -0800
@@ -210,14 +210,14 @@ ack_CPI(__u8 cpi)
  * 8259 IRQs except that masks and things must be kept per processor
  */
 static struct hw_interrupt_type vic_irq_type = {
-	"VIC-level",
-	startup_vic_irq,	/* startup */
-	disable_vic_irq,	/* shutdown */
-	enable_vic_irq,		/* enable */
-	disable_vic_irq,	/* disable */
-	before_handle_vic_irq,	/* ack */
-	after_handle_vic_irq,	/* end */
-	set_vic_irq_affinity,	/* affinity */
+	.typename = "VIC-level",
+	.startup = startup_vic_irq,
+	.shutdown = disable_vic_irq,
+	.enable = enable_vic_irq,
+	.disable = disable_vic_irq,
+	.ack = before_handle_vic_irq,
+	.end = after_handle_vic_irq,
+	.set_affinity = set_vic_irq_affinity,
 };
 
 /* used to count up as CPUs are brought on line (starts at 0) */
_
